# $Revision: 1.2 $, $Date: 2002/08/01 21:07:47 $
Summary:	A library of functions for controlling audio CD-ROM players
Summary(fr):	Une bibliothque pour le contrle des lecteurs de CD-ROMS audio
Summary(it):	Una libreria di funzioni per controllare i lettori di CD-AUDIO
Summary(pl):	Biblioteka funkcji sterujcych odtwarzaniem muzycznych pyt CD
Summary(sk):	Kninica funkci pre ovldanie prehrvaov zvukovch CD-ROM
Name:		libcdaudio
Version:	0.99.4
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.linuxberg.ps.pl/files/console/dev/%{name}-%{version}.tar.gz
URL:		http://cdcd.undergrid.net/libcdaudio/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs. It also contains
functions for CDDB and CD Index lookup.

%description -l fr
libcdaudio est une bibliothque pour dvelopper des lecteurs de CDs.
Elle comprend le jeu de commandes de base pour contrler la lecture
des CDs ainsi que des fonctions d'accs  CDDB,  CD index et Cover
Art Index.

%description -l it
libcdaudio e' un librerie per lo sviluppo di lettori di CD audio che
include un set base di comandi per controllare le operazioni del
lettore CD-ROM cosi' come funzioni per accedere ai CDDB, i CD indice,
i cd di cover art.

%description -l pl
libcdaudio jest bibliotek zapewniajc funkcje kontrolujce dziaanie
CD-ROMu podczas odtwarzania pyt muzycznych. Wspiera rwnie zapytania
CDDB i CD Index.

%description -l sk
libcdaudio je kninica pre vvoj CD prehrvaov, obsahujca zkladn
sadu prkazov pre ovldanie CD-ROM jednotky, ako aj funkcie pre
prstup k CDDB, CD indexu a indexu obalov.

%package devel
Summary:	Header files and libraries for libcdaudio development
Summary(cs):	Knihovny a hlavikov soubory pro vvoj s libcdaudio
Summary(fr):	Fichiers en-tte et bibliothques de dveloppement pour libcdaudio
Summary(it):	File header e librerie per lo sviluppo con libcdaudio
Summary(pl):	Biblioteki i pliki nagwkowe libcdaudio
Summary(sk):	Hlavikov sbory a kninice pre vvoj s libcdaudio
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The libcdaudio-devel package provides the header files and libraries
needed for libcdaudio development.

%description devel -l fr
Le paquetage libcdaudio-devel fournit les ent^etes pour utiliser cette
bibliothque.

%description devel -l it
Il pacchetto libcdaudio-devel contiene i file header e le librerie
necessarie lo sviluppo con libcdaudio.

%description devel -l pl
Biblioteki i pliki nagwkowe libcdaudio.

%description devel -l sk
Balk libcdaudio-devel poskytuje hlavikov sbory a kninice potrebn
pre vvoj s pouitm libcdaudio.

%package static
Summary:	libcdaudio static library
Summary(cs):	Statick knihovny pro vvoj s libcdaudio
Summary(fr):	Bibliothques statiques de dveloppement pour libcdaudio
Summary(it):	Librerie statiche per lo sviluppo con libcdaudio
Summary(pl):	Biblioteka statyczna libcdaudio
Summary(sk):	Statick kninice pre vvoj s libcdaudio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The libcdaudio-static package provides static library needed for
libcdaudio development.

%description static -l it
Il pacchetto libcdaudio-static contiene le librerie statiche
necessarie lo sviluppo con libcdaudio.

%description static -l pl
Biblioteka statyczna libcdaudio.

%description static -l sk
Balk libcdaudio-static poskytuje statick kninice potrebn pre vvoj
s pouitm libcdaudio.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make} CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libcdaudio.spec,v $
Revision 1.2  2002/08/01 21:07:47  ankry
- added translations
- fixed i386 build (-fomit-frame-pointer)
- release 2, STBR

Revision 1.1  2002/07/23 14:25:28  wolf
- initial, STBR
